### Function

# GObject TypeClass peek

#### Declaration

    GObjectTypeClass*
    g_type_class_peek (
      GType type
    )

#### Description

This function is essentially the same as g_type_class_ref(), except that the classes reference count isn’t incremented. As a consequence, this function may return `NULL` if the class of the type passed in does not currently exist (hasn’t been referenced before).

#### Parameters

`type`

  Type: `GType`

  Type ID of a classed type.

#### Return value

Type: `GTypeClass`

The `GTypeClass` structure for the given type ID or `NULL` if the class does not currently exist.

The data is owned by the called function.